import React, { useContext } from 'react';

import { AppContext } from './ContextProvider';
import { ToCoins } from '../helpers/utils';


const Info = () => {
  const { state } = useContext(AppContext);
  const { pool } = state;
  const { config } = pool;

  return (
    <div className="info">
      <p>welcome good friend &lt;3 thank so much for mining!</p>
      <p>very mining with you from <strong>blocke 62</strong></p>
      <p>such good pool:</p>
      <ul>
        <li>PPLNS fee for miner: {config.pplns_fee}%</li>
        <li>SOLO fee for miner: {config.solo_fee}%</li>
        <li>min payout for miner: <ToCoins coins={config.min_wallet_payout} /></li>
        <li>min payout for miner on exchange: <ToCoins coins={config.min_exchange_payout} /></li>
      </ul>
    </div>
  )
};

export default Info;
