import { useEffect, useState } from 'react';


export const useFormInput = init => {
  const [value, setValue] = useState(init);
  const onChange = e => setValue(e.target.value);
  const reset = () => setValue('');
  return { bind: { value, onChange }, reset, setValue, value };
};

export const useEffectOnce = aids => useEffect(aids, []);
