import React from 'react';

import AppContextProvider from './ContextProvider';
import Header from './Header';
import Info from './Info';
import Miner from './Miner';
import Pool from './Pool';

import '../static/css/main.css';


const App = () => (
  <AppContextProvider>
    <Header />
    <hr />
    <Info />
    <hr />
    <Pool />
    <hr />
    <Miner />
  </AppContextProvider>
);

export default App;
